cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/teams" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"team": {
"name": "Field Services"
}
}'from exsited import build_client
client = build_client()
response = client.teams.create_settings_team({"team": {"name": "Field Services"}})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.teams.createSettingsTeam({team: {name: 'Field Services'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->teams->createSettingsTeam(['team' => ['name' => 'Field Services']]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.teams.teams_dto.TeamsDto.SettingsTeam;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTeam> response = client.teams().createSettingsTeam(
Map.of("team", Map.of("name", "Field Services")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Teams.CreateSettingsTeamAsync(new Dictionary<string, object?>
{
["team"] = new Dictionary<string, object?>
{
["name"] = "Field Services",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.teams.createSettingsTeam({
'team': {'name': 'Field Services'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Teams().CreateSettingsTeam(context.Background(), map[string]any{
"team": map[string]any{"name": "Field Services"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"team": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"managed_by": null,
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": null
}
}Teams
Create a team
Creates a team and returns it under team.
POST
/
settings
/
teams
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/teams" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"team": {
"name": "Field Services"
}
}'from exsited import build_client
client = build_client()
response = client.teams.create_settings_team({"team": {"name": "Field Services"}})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.teams.createSettingsTeam({team: {name: 'Field Services'}});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->teams->createSettingsTeam(['team' => ['name' => 'Field Services']]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.teams.teams_dto.TeamsDto.SettingsTeam;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTeam> response = client.teams().createSettingsTeam(
Map.of("team", Map.of("name", "Field Services")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Teams.CreateSettingsTeamAsync(new Dictionary<string, object?>
{
["team"] = new Dictionary<string, object?>
{
["name"] = "Field Services",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.teams.createSettingsTeam({
'team': {'name': 'Field Services'},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Teams().CreateSettingsTeam(context.Background(), map[string]any{
"team": map[string]any{"name": "Field Services"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"team": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"managed_by": null,
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": null
}
}Send the new team under
team with its name. When you send no display_name, the team’s display_name is set to its name. The new team comes back under team.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.